Loading...
Searching...
No Matches
Exiv2::Internal::binaryToStringHelper< T > Struct Template Reference

Helper struct for binary data output via binaryToString. More...

## Public Member Functions

| binaryToStringHelper (const Slice< T > buf) throw ()

## Public Attributes

const Slice< T > | buf_

## Friends

std::ostream & | operator<< (std::ostream &stream, const binaryToStringHelper< T > &binToStr)
| Actual implementation of the output algorithm described in binaryToString.

## Detailed Description

template<typename T>
struct Exiv2::Internal::binaryToStringHelper< T >

Helper struct for binary data output via binaryToString.

The only purpose of this struct is to provide a custom `operator<<(std::ostream&)` for the output of binary data, that is not used for all Slices by default.

## Friends And Related Symbol Documentation

## operator<<

template<typename T >

std::ostream & operator<< | ( | std::ostream & | stream,
|  | const binaryToStringHelper< T > & | binToStr
| ) |  |

friend

Actual implementation of the output algorithm described in binaryToString.

Exceptions

  nothing |

The documentation for this struct was generated from the following file:

- image_int.hpp